	.386
	.model	use32 small

	extrn allerr: PROC
	public	_atan
	.data
nm	db	"atan",0

	.code
_atan:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	qword ptr [ecx]
	fld1
	fpatan
	sub	edx,edx
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end